<?php
/**
* Form for collecting data for - Licensed Data Requests
*
*/
$lang['Line ministry/public administration']='Line ministry/public administration';
$lang['University']='University';
$lang['Research centre']='Research centre';
$lang['Private company']='Private company';
$lang['International organization']='International organization';
$lang['Non-governmental agency (national)']='Non-governmental agency (national)';
$lang['Non-governmental agency (international)']='Non-governmental agency (international)';
$lang['Other']='Other';

$lang['application_access_licensed_dataset'] = "Application for Access to a Licensed Dataset";
$lang['required_fields']='Fields marked with * are mandatory.';
$lang['info_kept_confidential']='The information provided on this page will be kept confidential and will be used for internal purposes only.';
$lang['dataset_requested']='Dataset requested:';

$lang['filled_lead_research']='<p>This form must be filled and submitted by the Lead Researcher. Lead Researcher refers to 
the person who serves as the main point of contact for all communications involving this agreement. Access to licensed 
datasets will only be granted when the Lead Researcher is an employee of a legally registered receiving agency 
(university, company, research centre, national or international organization, etc.) on behalf of 
which access to the data is requested. The Lead Researcher assumes all responsibility for compliance with all 
terms of this Data Access Agreement by employees of the receiving organization.</p>

<p>This request will be reviewed by a data release committee, 
who may decide to approve the request, to deny access to the data, 
or to request additional information from the Lead Researcher. A signed copy of this request form may also be requested. </p>

<p>This request is submitted on behalf of:</p>';

$lang['receiving_org']='Receiving Organization name:';
$lang['rec_org_refers']='Receiving Organization refers to the organization/university/establishment which employs the Lead Researcher.';
$lang['org_type']='Organization Type';
$lang['other']='If other, specify:';
$lang['post_add']='Postal address';
$lang['telephone']='Telephone (with country code)';
$lang['fax']='Fax (with country code)';
$lang['intended_use']='Intended use of the data:';
$lang['provide_short_desc']='Please provide a short description of your research project (project question, objectives, methods, expected outputs, partners)';
$lang['expected_output']='List of expected output(s) and dissemination policy';
$lang['expected_completion']='Expected completion date (DD-MM-YYYY) of the research project:';
$lang['data_matching']='Data matching';
$lang['merge_dataset']='Will you need to merge the dataset with other data?';
$lang['other_data_merge']='If YES specify all other datasets that will need to be merged';
$lang['research_team']='Research team members (other than the Lead Researcher)';
$lang['provide_names']='Provide names, titles, and affiliations of any other members of the research team who will have access to the restricted data.';
$lang['ident_needed']='Identification of data files and variables needed';

$lang['da_website']='The Data Archive provides detailed metadata on its website, including a description of 
data files and variables for each dataset. Researchers who do not need access to the whole dataset may indicate 
which subset of variables or cases they are interested in. As this reduces the disclosure risk, providing us 
with such information may increase the probability that the data will be provided.';

$lang['this_request']='This request if submitted to access:';
$lang['whole_dataset']='The whole dataset (all files, all cases)';
$lang['subset_data']='A subset of variables and/or cases as described below (note that variables such as the sample weighting coefficients and records identifiers will always be included in subsets):';
$lang['data_access_agreement']='Data access agreement';
$lang['i_read_and_agree']='I have read and agree with the conditions';

$lang['agreement_text']='<p>The representative of the Receiving Organization agrees to comply with the following conditions:</p>
<ol>
<li>Access to the restricted data will be limited to the Lead Researcher and other members of the research team listed in this request.</li>
<li>Copies of the restricted data or any data created on the basis of the original data will not be copied or made available to anyone other than those mentioned in this Data Access Agreement, unless formally authorized by the Data Archive.</li>
<li>The data will only be processed for the stated statistical and research purpose. They will be used for solely for reporting of aggregated information, and not for investigation of specific individuals or organizations. Data will not in any way be used for any administrative, proprietary or law enforcement purposes. </li>
<li>The Lead Researcher must state if it is their intention to match the restricted microdata with any other micro-dataset. If any matching is to take place, details must be provided of the datasets to be matched and of the reasons for the matching. Any datasets created as a result of matching will be considered to be restricted and must comply with the terms of this Data Access Agreement.</li>

<li>The Lead Researcher undertakes that no attempt will be made to identify any individual person, family, business, enterprise or organization. If such a unique disclosure is made inadvertently, no use will be made of the identity of any person or establishment discovered and full details will be reported to the Data Archive. The identification will not be revealed to any other person not included in the Data Access Agreement.</li>
<li>The Lead Researcher will implement security measures to prevent unauthorized access to licensed microdata acquired from the Data Archive. The microdata must be destroyed upon the completion of this research, unless the Data Archive obtains satisfactory guarantee that the data can be secured and provides written authorization to the Receiving Organization to retain them. Destruction of the microdata will be confirmed in writing by the Lead Researcher to the Data Archive.</li>
<li>Any books, articles, conference papers, theses, dissertations, reports, or other publications that employ data obtained from the Data Archive will cite the source of data in accordance with the citation requirement provided with the dataset.</li>
<li>An electronic copy of all reports and publications based on the requested data will be sent to the Data Archive.</li>
<li>The original collector of the data, the Data Archive, and the relevant funding agencies bear no responsibility for use of the data or for interpretations or inferences based upon such uses.</li>
<li>This agreement will come into force on the date that approval is given for access to the restricted dataset and remain in force until the completion date of the project or an earlier date if the project is completed ahead of time.</li>

<li>If there are any changes to the project specification, security arrangements, personnel or organization detailed in this application form, it is the responsibility of the Lead Researcher to seek the agreement of the Data Archive to these changes. Where there is a change to the employer organization of the Lead Researcher this will involve a new application being made and termination of the original project.</li>
<li>Breaches of the agreement will be taken seriously and the Data Archive will take action against those responsible for the lapse if willful or accidental. Failure to comply with the directions of the Data Archive will be deemed to be a major breach of the agreement and may involve recourse to legal proceedings. The Data Archive will maintain and share with partner data archives a register of those individuals and organizations which are responsible for breaching the terms of the Data Access Agreement and will impose sanctions on release of future data to these parties. </li>
</ol>';

$lang['success_request_submitted']='You have successfully submitted the request for data access. A confirmation email has been sent to your email address.';
$lang['track_status_request']='To track the status of your request, visit';
$lang['thank_you']='Thank you!';
$lang['confirmation_application_for_licensed_dataset']='[confirmation] Application for Access to a Licensed Dataset';
$lang['view_all_requests']='View all requests';
$lang['open_in_new_window']='Open in new window';
?>
